<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.1.xsd">
    <bean id="mesureSMPDAO"
          class="org.inra.ecoinfo.acbb.dataset.mps.smp.jpa.JPAMesureSMPDAO"
          parent="abstractDAO"/>
    <bean id="sousSequenceSMPDAO"
          class="org.inra.ecoinfo.acbb.dataset.mps.smp.jpa.JPASousSequenceSMPDAO"
          parent="abstractDAO"/>
    <bean id="sequenceSMPDAO"
          class="org.inra.ecoinfo.acbb.dataset.mps.smp.jpa.JPASequenceSMPDAO"
          parent="abstractDAO"/>
    <bean id="publicationSMPDAO"
          class="org.inra.ecoinfo.acbb.dataset.mps.smp.jpa.JPAPublicationSMPDAO"/>
    <bean id="requestPropertiesSwc"
          class="org.inra.ecoinfo.acbb.dataset.mps.impl.RequestPropertiesMPS"
          scope="prototype">
        <property name="dateFormat" value="yyyy/MM/dd HH:mm"/>
    </bean>
    <bean id="SMPDatatype" class="java.lang.String">
        <constructor-arg type="java.lang.String">
            <value>SMP</value>
        </constructor-arg>
    </bean>
    <bean id="deleteRecordSMP" class="org.inra.ecoinfo.acbb.dataset.impl.DeleteRecord"
          parent="deleteRecord">
        <property name="publicationDAO" ref="publicationSMPDAO"/>
    </bean>
    <bean id="processRecordSMP" class="org.inra.ecoinfo.acbb.dataset.mps.smp.impl.ProcessRecordSmp"
          parent="abstractProcessRecordMPS">
        <property name="sequenceMPSDAO" ref="sequenceSMPDAO"/>
        <property name="sousSequenceMPSDAO" ref="sousSequenceSMPDAO"/>
        <property name="mesureMPSDAO" ref="mesureSMPDAO"/>
        <property name="datatypeName" value="tension_de_l_eau_dans_le_sol"/>
    </bean>
    <bean id="testFormatSMP" class="org.inra.ecoinfo.acbb.dataset.impl.GenericTestFormat"
          parent="abstractTestFormat">
        <property name="datatypeName" ref="SMPDatatype"/>
        <property name="testValues" ref="testValuesMPS"/>
        <property name="testHeaders" ref="testHeadersMPS"/>
    </bean>
    <bean id="SMPRecorder" class="org.inra.ecoinfo.acbb.dataset.impl.RecorderACBB" parent="abstractRecorderBean">
        <property name="datasetDescriptorPath" value="mps/smp/impl/dataset-descriptor.xml"/>
        <property name="requestPropertiesName" value="requestPropertiesSmp"/>
        <property name="testFormat" ref="testFormatSMP"/>
        <property name="deleteRecord" ref="deleteRecordSMP"/>
        <property name="processRecord" ref="processRecordSMP"/>
    </bean>
</beans>
